{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { nixpkgs, ... }: {
    colmena = {
      meta = {
        nixpkgs = import nixpkgs {};
      };

      defaults = { name, ... }: {
        imports = [
          (./. + "/hosts/${name}/configuration.nix")
        ];
        deployment = {
          targetHost = "${name}.net.clerie.de";
          targetUser = null;
        };
      };

      # Hosts

      backup-4 = { ... }: {};

      carbon = { ... }: {};

      clerie-backup = { ... }: {};

      dn42-il-gw1 = { ... }: {};

      dn42-il-gw5 = { ... }: {};

      dn42-il-gw6 = { ... }: {};

      dn42-ildix-clerie = { ... }: {};

      gatekeeper = { ... }: {};

      hydra-1 = { ... }: {};

      minecraft-2 = { ... }: {};

      monitoring-3 = { ... }: {};

      nonat = { ... }: {};

      osmium = { ... }: {};

      palladium = { ... }: {};

      porter = { ... }: {};

      storage-2 = { ... }: {};

      web-2 = { ... }: {};
    };
  };
}
